
const nodemailer = require('nodemailer');
const fs = require('fs');
const MailLogServices = require('../Services/CreateServices')("MailLog");
const CaseServices = require('../Services/Case.services');

const CONFIG = require('../Constants/Config');
const { logger } = require('../logger');

exports.SendMail = async (to = "", subject = "", message = "", attachment = "", html = "", cc = [], bcc = []) => {
    try {
        let html_view = html// "";

        // if (html != "") {
        //     html_view = template.toString().replace("{!! $desc !!}", html);
        // }
        // console.log(CONFIG.EMAIL_PASS)
        const transporter = nodemailer.createTransport({
            // service: 'gmail',
            host: "smtppro.zoho.in",
            auth: {
                user: CONFIG.EMAIL_ID,
                pass: CONFIG.EMAIL_PASS
            }
        });
        // console.log(auth.user, " : USER", auth.pass, ": pass")
        const mailOptions = {
            from: CONFIG.EMAIL_ID,
            to: to,
            cc: cc,
            bcc: bcc,
            subject: subject,
            text: message,
            attachments: attachment,
            html: html_view
        };

        const res = await transporter.sendMail(mailOptions);//, function (error, info) {
        if (res.error) {
            return { status: false, error: error };
        }
        else {
            // console.log(res, "Info")
            return { status: true, result: res };
        }
        // });
        // return res;
        // return { status: false, result: "Sorry mail not sent, Something went wrong." };
    }
    catch (err) {
        logger.error(`error MailController.js 56 : ${err.toString()}`);
        return { status: false, error: err ? err : ' Notification not sent !' };
    }
}

module.exports.SendCustomMail = async (req, res) => {
    try {
        const authUser = req.local.user;
        const { caseId } = req.body;
        let message = "";
        const { toEmails, ccEmails = [], bccEmails = [], subject = "", body = "", attachments, mailType, otherInfo } = req.body;

        let attachmentObj = [];
        let caseObj = {};

        if (!!caseId) {
            const caseRes = await CaseServices.findCase(caseId);
            if (!caseRes.status || caseRes.error) return res.status(500).send(caseRes);
            caseObj = caseRes.cases;
        }

        // let CDN_PATH = process.env.CDN_URL + "/" //process.env.CDN_PATH;
        let CDN_PATH = process.env.CDN_PATH;

        if (attachments.length > 0) {
            Promise.all(
                attachments.map(async (mailAttachmentObj) => {
                    await attachmentObj.push({ path: CDN_PATH + mailAttachmentObj.path });
                })
            )
        }

        const mailRes = await this.SendMail(toEmails, subject, message, attachmentObj, body, ccEmails, bccEmails);
        const mailResult = mailRes.result;
        console.log("🚀 ~ file: Mail.controller.js:215 ~ module.exports.SendCustomMail= ~ mailRes:", mailRes)

        if (mailRes.status) {

            const mailLogObj = {
                emails: toEmails,
                cc: ccEmails,
                bcc: bccEmails,
                body: body,
                type: mailType, // ADVANCE_INVOICE, SIGNED_REPORT_UPLOAD, PROFORMA_INVOICE, DRAFT_REPORT, TDS_REMINDER
                attachments: attachments,
                case: caseObj,
                status: caseObj.caseStatus,
                otherInfo,
                sentBy: {
                    _id: false,
                    userId: authUser._id,
                    firstName: authUser.firstName,
                    lastName: authUser.lastName,
                    role: authUser.type,
                },
                mailResponse: {
                    accepted: mailResult.accepted,
                    rejected: mailResult.rejected,
                    response: mailResult.response,
                    messageId: mailResult.messageId
                }
            }

            const mailLogRes = await MailLogServices.create(mailLogObj);
            return res.status(200).send({ status: true, message: "Mail sent." });
        }
        return res.status(500).send({ status: true, message: "Failed to send Mail." });

    }
    catch (err) {
        logger.error(`🚀 ~ module.exports.SendCustomMail= ~ err:` + err.toString())
        return res.status(500).send({ status: false, error: err });
    }
};