const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const assetSchema = Schema({
    name: {
        type: String
    },
    assetNo: {
        type: String,
    },
    assetImage: {
        type: String
    },
    orgId: {
        type: Schema.Types.ObjectId,
        ref: 'Organization',
    },
    users: [
        {
            _id: false,
            userId: {
                type: String,
            },
            firstName: {
                type: String
            },
            lastName: {
                type: String
            },
            role: {
                type: String
            },
            status: {
                type: String //ASSIGNED , RETURN
            },
            issueDate: {
                type: String
            },
            returnDate: {
                type: String
            }
        }
    ]

}, { timestamps: true });


module.exports = mongoose.model('Asset', assetSchema);