
const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const AuthLogSchema = new Schema({
    user: {
        _id: {
            type: Schema.Types.ObjectId,
            ref: 'User'
        },
        firstName: {
            type: String,
        },
        lastName: {
            type: String,
        },
        shortName: {
            type: String,
        },
        email: {
            type: String,
        },
        role: {
            type: String,
        },
        type: {
            type: String
        },
        profilePhoto: {
            type: String
        }
    },
    organizationId: {
        type: Schema.Types.ObjectId,
        ref: 'Organization'
    },
    type: { type: String, default: "authentication" },
    platform: { type: String, default: 'unknown' }
}, { timestamps: true });

module.exports = mongoose.model('AuthLog', AuthLogSchema);