const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const creditOfficerSchema = new Schema({
    firstName: { type: String, default: "" },
    fatherName: { type: String },
    lastName: { type: String },
    shortName: {
        type: String,
    },
    PANNo: {
        type: String
    },
    email: {
        type: String,
    },
    alternateEmail: {
        type: String
    },
    designation: {
        type: String
    },
    mobileNo: {
        type: String,
    },
    workMobileNo: {
        type: String,
    },
    emergencyMobileNo: {
        type: String,
    },
    salutation: {
        type: String,
    },
    role: {
        type: String,
    },
    type: {
        type: String,
        required: true,
        default: "CREDIT_OFFICER"
    },
    remark: {
        type: String,
    },
    branch: {
        _id: {
            type: String
        },
        type: {
            type: String
        },
        sugar_client_id: {
            type: String
        },
        sugar_branch_id: {
            type: String
        },
        branchCode: {
            type: String
        },
        name: {
            type: String,
        },
        email: {
            type: String,
        },
        mobileNo: {
            type: String,
        },
        alternateMobileNo: {
            type: String
        },
        address: {
            type: String,
        },

        client: {
            _id: {
                type: Schema.Types.ObjectId,
                ref: 'Clients'
            },
            type: {
                type: String,
            },
            sugar_client_id: {
                type: String
            },
            name: {
                type: String,
            },
            displayName: {
                type: String,
            },
            initial: {
                type: String
            },
            clientKey: {
                type: String
            },
            remark: {
                type: String
            },
            isdelete: {
                type: Boolean
            },
            status: {
                type: Boolean
            }
        }
    },
    organization: {
        _id: {
            type: String
            // type: Schema.Types.ObjectId,
            // ref: 'Organization'
        },
        name: {
            type: String
        },
        email: {
            type: String
        },
        shortName: {
            type: String
        },
        address: {
            type: String
        },
        type: {
            type: String
        },
        status: {
            type: Boolean,
            default: true
        },
        isdelete: {
            type: Boolean,
            default: false
        },
        city: {
            type: String
        },
        organization: {
            _id: {
                type: String
            },
            name: {
                type: String
            },
            email: {
                type: String
            },
            gstNo: {
                type: String
            }
        }
    },
    isDeleted: {
        type: Boolean,
        default: false
    },
    status: {
        type: Boolean,
        default: true
    },
    profilePhoto: {
        type: String
    },
    qualification: {
        type: String
    }
}, { timestamps: true });

module.exports = mongoose.model('CreditOfficer', creditOfficerSchema);