const mongoose = require('mongoose');

const Schema = mongoose.Schema;
const { userSchema } = require('./CommonSchema');

const leaveSchema = Schema({

    userId: {
        type: Schema.Types.ObjectId,
        ref: 'User',
    },
    orgId: {
        type: Schema.Types.ObjectId,
        ref: 'Organization',
    },
    approvedBy: userSchema,
    approvedAt: {
        type: Date
    },
    from: {
        type: Date
    },
    to: {
        type: Date
    },
    reason: {
        type: String // SICK, GENERAL
    },
    dayType: {
        type: String,
        default: "FULL", // FULL, HALF
    },
    leaveStatus: {
        type: String, //'PENDING', 'APPROVED', 'REJECTED'
        default: "PENDING"
    },
    status: {
        type: Boolean
    }

}, { timestamps: true });

module.exports = mongoose.model('Leave', leaveSchema);