const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const locationHistorySchema = new Schema({
    userId: {
        type: Schema.Types.ObjectId,
        ref: 'User'
    },
    date: { type: String },
    location: [{
        latitude: {
            type: String
        },
        longitude: {
            type: String
        },
        otherDetails: {},
        tags: [{}],
        createdAt: { type: Date, default: new Date() }
    }],
}, { timestamps: true });

module.exports = mongoose.model('LocationHistory', locationHistorySchema);