const mongoose = require('mongoose');
const { workTypeArr } = require('../Types/Task');

const Schema = mongoose.Schema;

const taskSchema = Schema({
    workType: {
        type: String,
        default: "CASE",
        enum: workTypeArr
    },
    organizationId: {
        type: Schema.Types.ObjectId,
        ref: 'Organization',
    },
    caseId: {
        type: Schema.Types.ObjectId,
        ref: 'Case',
    },
    taskId: {
        type: Schema.Types.ObjectId,
        ref: 'Task',
    },
    status: { type: String },
    data: {},
    operationType: { type: String },
    updatedBy: {
        type: Schema.Types.ObjectId,
        ref: 'User',
    },
}, { timestamps: true });


module.exports = mongoose.model('TaskLog', taskSchema);