const DynamicForm = require('../Model/DynamicForm');
/**
 * @description This is used for get list of All DynamicForms 
 * @param {*} query 
 * @returns Object { status: true, dynamicform: Array }
 * - { status: false, error: String }
 */
module.exports.getAllDynamicForm = async (query, startIndex, limit) => {

    return DynamicForm.find(query).skip(startIndex).limit(limit)
        .then((DynamicForms) => {
            return { status: true, dynamicform: DynamicForms };
        }).catch((e) => {
            return { status: false, error: e };
        });
};
/**
 * @description This is used for get One DynamicForm By Id
 * @param {String} id 
 * @returns Object { status: true, dynamicform: Object }
 * - { status: false, error: String }
 */
module.exports.getDynamicForm = async (query) => {

    return DynamicForm.findOne(query).then((DynamicForm) => {
        return { status: true, dynamicform: DynamicForm };
    }).catch((e) => {
        return { status: false, error: e };
    });

};

// module.exports.findPackage = async (id) => {

//     return DynamicForm.findById(id).then((DynamicForm) => {
//         return { status: true, DynamicForms: DynamicForm };
//     }).catch((e) => {
//         return { status: false, error: e };
//     });

// };
/**
 * @description This is used for create DynamicForm
 * @param {Object} DynamicFormData 
 * @returns Object { status: true, dynamicform: Object }
 * - { status: false, error: String }
 */
module.exports.createDynamicForm = async (DynamicFormData) => {

    return DynamicForm.create(DynamicFormData)
        .then((result) => {
            // console.log("create DynamicForm Service")
            return { status: true, dynamicform: result };
        })
        .catch((err) => {
            console.log(err)
            return { status: false, error: err }
        })

};
/**
 * @description This is used for update DynamicForm
 * @param {String} id 
 * @param {Object} DynamicFormData 
 * @returns Object { status: true, dynamicform: Object }
 * - { status: false, error: String }
 */
module.exports.updateDynamicForm = async (id, DynamicFormData) => {

    return DynamicForm.findOneAndUpdate({ _id: id }, DynamicFormData)
        .then((result) => {
            return { status: true, dynamicform: result };
        })
        .catch((err) => {
            console.log(err)
            return { status: false, error: err }
        })

};