const Empanelment = require('../Model/Empanelment');
/**
 * @description This is used for get All Empanelment
 * @param {*} query 
 * @returns Object { status: true, Empanelment: Array }
 *  { status: false, error: String }
 */
module.exports.getAll = async (query) => {
    // console.log(query)
    return Empanelment.find(query).populate("zoneId").populate('valuerId')
        .then((Empanelment) => {
            return { status: true, Empanelment: Empanelment };
        }).catch((e) => {
            // console.log("In BranchServices", e);
            return { status: false, error: e };
        });
};

// module.exports.getAllSearch = async (searchValue) => {
//     // console.log("query", query)
//     // return Empanelment.find().populate({ path: 'valuerId', match : { $or: [ { firstName : { $regex: "Raj" } }] } })
//     return Empanelment.find({ isDelete: false }).populate({ path: 'valuerId', $match: { firstName: { $regex: searchValue } } })
//         .then((Empanelment) => {
//             console.log("In service : ", Empanelment);
//             return { status: true, Empanelment: Empanelment };
//         }).catch((e) => {
//             // console.log("In BranchServices", e);
//             return { status: false, error: e };
//         });
// };

/**
 * @description This function is used for get one Empanelment from requested Empanelment id.  
 * @param {string} id 
 * @returns Object { status : true, Empanelment : object }
 * - { status: false, error: string }
 */
module.exports.getEmpanelment = async (id) => {

    return Empanelment.findById(id).then((Empanelment) => {
        return { status: true, Empanelment: Empanelment };
    }).catch((e) => {
        // console.log("error", e);
        return { status: false, error: e };
    });
};
/**
 * @description This function is used for create Empanelment.
 * @param {Object} Empanelment_data 
 * @returns Object { status : true, Empanelment : object }
 * - { status: false, error: string }
 */
module.exports.createEmpanelment = async (Empanelment_data) => {

    return Empanelment.create(Empanelment_data)
        .then((Empanelment) => {
            // console.log("added Empanelment" + result)
            return { status: true, Empanelment: Empanelment }
        })
        .catch((err) => {
            console.log(err)
            return { status: false, err }
        })
};
/**
 * @description This function is used for update Empanelment data
 * @param {String} id 
 * @param {Object} Empanelment_data 
 * @returns Object { status: true, Empanelment: Object}
 * - { status: false, err }
 */
module.exports.editEmpanelment = async (id, Empanelment_data) => {
    return Empanelment.findOneAndUpdate({ _id: id }, Empanelment_data, { new: true })
        .then((Empanelment) => {
            return { status: true, Empanelment: Empanelment }
        })
        .catch((err) => {
            console.log(err)
            return { status: false, err }
        })
};
/**
 * @description This function is used for update many Documents 
 * @param {Object} find 
 * @param {Object} Empanelment_data 
 * @returns Object { status: true, Empanelment: Object}
 * - { status: false, err }
 */
module.exports.updateManyEmpanelment = async (find, Empanelment_data) => {
    return Empanelment.updateMany(find, Empanelment_data, { new: true })
        .then((Empanelment) => {
            return { status: true, Empanelment: Empanelment }
        })
        .catch((err) => {
            console.log(err)
            return { status: false, err }
        })
};
