const express = require('express');

const router = express.Router();

const authController = require('../Controllers/Auth.controller');
const validator = require('../Middleware/validation');
const isAuth = require('../Middleware/isAuth');

router.post('/auth/login', validator.loginValidation, authController.login);
router.post('/auth/me', isAuth, authController.auth);
router.post('/auth/logout', isAuth, authController.logout);

module.exports = router;
