const express = require('express');
const router = express.Router();
const dynamicFormController = require('../Controllers/DynamicForm.controller');
const validation = require('../Middleware/validation');
const isAuth = require('../Middleware/isAuth');
const pagination = require('../Middleware/pagination');

// For get list of all dynamicForm
router.get('/allDynamicForm', isAuth, pagination, dynamicFormController.getAllDynamicForm);

// For get only one dynamicForm from requested clientId
router.get('/dynamicForm', isAuth, dynamicFormController.getDynamicForm);

router.post('/dynamicForm', isAuth,
    // (req, res, next) => { return isPermission(req, res, next, { name: "case", value: "create" }) },
    validation.dynamicFormValidation, dynamicFormController.createDyanmicForm);

router.put('/dynamicForm/:id', isAuth, validation.dynamicFormValidation, dynamicFormController.updateDynamicForm);


module.exports = router;
