const express = require('express');
const router = express.Router();
const LeaveController = require('../Controllers/Leave.controller');
const isAuth = require('../Middleware/isAuth');
const pagination = require('../Middleware/pagination');
const validation = require('../Middleware/validation');

router.post('/leaves', isAuth, validation.createLeave, LeaveController.createLeave);
router.get('/leaves', isAuth, pagination, LeaveController.getAll);
router.get('/leaves/:id', isAuth, LeaveController.get);
router.put('/leaves/:id', isAuth, validation.updateLeave, LeaveController.updateLeave);
router.delete('/leaves/:id', isAuth, LeaveController.deleteLeave);

module.exports = router;