const express = require('express');
const router = express.Router();
const MasterDataController = require('../Controllers/MasterData.controller');
const isAuth = require('../Middleware/isAuth');
const pagination = require('../Middleware/pagination');
const isPermission = require('../Middleware/isPermission');
const validation = require('../Middleware/validation');

// For list all Clients 
router.get('/MasterData', isAuth, pagination, MasterDataController.getAll);

// For get one client 
router.get('/MasterData/:id', isAuth, MasterDataController.get);

// For create new Client
router.post('/MasterData', isAuth, validation.masterData, MasterDataController.createMasterData);

// For update Client 
router.put('/MasterData/:id', isAuth, validation.masterData, MasterDataController.updateMasterData);

module.exports = router;

